Index: mytharchive/i18n/mytharchive_sv.ts
===================================================================
--- mytharchive/i18n/mytharchive_sv.ts	(revision 19937)
+++ mytharchive/i18n/mytharchive_sv.ts	(working copy)
@@ -1,72 +1,74 @@
 <?xml version="1.0" encoding="utf-8"?>
-<!DOCTYPE TS><TS version="1.1">
+<!DOCTYPE TS><TS version="1.1" language="sv">
+<defaultcodec></defaultcodec>
 <context>
     <name>EditMetadataDialog</name>
     <message>
         <location filename="../mytharchive/editmetadata.cpp" line="145"/>
         <source>Save</source>
-        <translation>Spara</translation>
+        <translation type="obsolete">Spara</translation>
     </message>
     <message>
-        <location filename="../mytharchive/editmetadata.cpp" line="152"/>
+        <location filename="../mytharchive/editmetadata.cpp" line="46"/>
         <source>Cancel</source>
         <translation>Avbryt</translation>
     </message>
+    <message>
+        <location filename="../mytharchive/editmetadata.cpp" line="43"/>
+        <source>OK</source>
+        <translation>OK</translation>
+    </message>
 </context>
 <context>
     <name>ExportNativeWizard</name>
     <message>
         <location filename="../mytharchive/exportnativewizard.cpp" line="169"/>
         <source>0 Mb</source>
-        <translation>0 Mb</translation>
+        <translation type="obsolete">0 Mb</translation>
     </message>
     <message>
         <location filename="../mytharchive/exportnativewizard.cpp" line="391"/>
         <source>Next</source>
-        <translation>Nästa</translation>
+        <translation type="obsolete">Nästa</translation>
     </message>
     <message>
         <location filename="../mytharchive/exportnativewizard.cpp" line="243"/>
         <source>Previous</source>
-        <translation>Föregående</translation>
+        <translation type="obsolete">Föregående</translation>
     </message>
     <message>
         <location filename="../mytharchive/exportnativewizard.cpp" line="523"/>
         <source>Cancel</source>
-        <translation>Avbryt</translation>
+        <translation type="obsolete">Avbryt</translation>
     </message>
     <message>
         <location filename="../mytharchive/exportnativewizard.cpp" line="275"/>
         <source>Choose File...</source>
-        <translation>Välj fil...</translation>
+        <translation type="obsolete">Välj fil...</translation>
     </message>
     <message>
         <location filename="../mytharchive/exportnativewizard.cpp" line="357"/>
         <source>Myth Archive</source>
-        <translation>Mytharkiv</translation>
+        <translation type="obsolete">Mytharkiv</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>You need to select at least one item to archive!</source>
         <translation type="obsolete">Du måste välja någonting att arkivera!</translation>
     </message>
     <message>
         <location filename="../mytharchive/exportnativewizard.cpp" line="373"/>
         <source>Finish</source>
-        <translation>Klar</translation>
+        <translation type="obsolete">Klar</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>All Archive Items</source>
         <translation type="obsolete">Alla arkivposter</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Myth Burn</source>
         <translation type="obsolete">Mythbränn</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>You don&apos;t have any items to archive!
 
 Click OK</source>
@@ -77,128 +79,142 @@
     <message>
         <location filename="../mytharchive/exportnativewizard.cpp" line="521"/>
         <source>Remove Item</source>
-        <translation>Ta bort post</translation>
+        <translation type="obsolete">Ta bort post</translation>
     </message>
     <message>
         <location filename="../mytharchive/exportnativewizard.cpp" line="311"/>
         <source>Add Recording</source>
-        <translation>Lägg till inspelning</translation>
+        <translation type="obsolete">Lägg till inspelning</translation>
     </message>
     <message>
         <location filename="../mytharchive/exportnativewizard.cpp" line="319"/>
         <source>Add Video</source>
-        <translation>Lägg till video</translation>
+        <translation type="obsolete">Lägg till video</translation>
     </message>
     <message>
         <location filename="../mytharchive/exportnativewizard.cpp" line="358"/>
         <source>You need to add at least one item to archive!</source>
-        <translation>Du måste åtminstone lägga till ett objekt för att arkivera!</translation>
+        <translation type="obsolete">Du måste åtminstone lägga till ett objekt för att arkivera!</translation>
     </message>
 </context>
 <context>
     <name>FileSelector</name>
     <message>
-        <location filename="../mytharchive/fileselector.cpp" line="181"/>
+        <location filename="../mytharchive/fileselector.cpp" line="85"/>
         <source>OK</source>
         <translation>OK</translation>
     </message>
     <message>
-        <location filename="../mytharchive/fileselector.cpp" line="189"/>
+        <location filename="../mytharchive/fileselector.cpp" line="88"/>
         <source>Cancel</source>
         <translation>Avbryt</translation>
     </message>
     <message>
-        <location filename="../mytharchive/fileselector.cpp" line="197"/>
+        <location filename="../mytharchive/fileselector.cpp" line="95"/>
         <source>Back</source>
         <translation>Tillbaka</translation>
     </message>
     <message>
-        <location filename="../mytharchive/fileselector.cpp" line="205"/>
+        <location filename="../mytharchive/fileselector.cpp" line="98"/>
         <source>Home</source>
         <translation>Hem</translation>
     </message>
     <message>
         <location filename="../mytharchive/fileselector.cpp" line="304"/>
         <source>Myth Archive</source>
-        <translation>Mytharkiv</translation>
+        <translation type="obsolete">Mytharkiv</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>You need to select at least one file!</source>
         <translation type="obsolete">Du måste välja åtminstone en fil!</translation>
     </message>
     <message>
-        <location filename="../mytharchive/fileselector.cpp" line="305"/>
+        <location filename="../mytharchive/fileselector.cpp" line="321"/>
         <source>The selected item is not a directory!</source>
         <translation>Vald post är inte en katalog!</translation>
     </message>
+    <message>
+        <location filename="../mytharchive/fileselector.cpp" line="74"/>
+        <source>Find File</source>
+        <translation>Hitta fil</translation>
+    </message>
+    <message>
+        <location filename="../mytharchive/fileselector.cpp" line="77"/>
+        <source>Find Directory</source>
+        <translation>Hitta katalog</translation>
+    </message>
+    <message>
+        <location filename="../mytharchive/fileselector.cpp" line="80"/>
+        <source>Find Files</source>
+        <translation>Hitta filer</translation>
+    </message>
 </context>
 <context>
     <name>ImportNativeWizard</name>
     <message>
         <location filename="../mytharchive/importnativewizard.cpp" line="182"/>
         <source>Back</source>
-        <translation>Tillbaka</translation>
+        <translation type="obsolete">Tillbaka</translation>
     </message>
     <message>
         <location filename="../mytharchive/importnativewizard.cpp" line="190"/>
         <source>Home</source>
-        <translation>Hem</translation>
+        <translation type="obsolete">Hem</translation>
     </message>
     <message>
         <location filename="../mytharchive/importnativewizard.cpp" line="386"/>
         <source>Next</source>
-        <translation>Nästa</translation>
+        <translation type="obsolete">Nästa</translation>
     </message>
     <message>
         <location filename="../mytharchive/importnativewizard.cpp" line="250"/>
         <source>Previous</source>
-        <translation>Föregående</translation>
+        <translation type="obsolete">Föregående</translation>
     </message>
     <message>
         <location filename="../mytharchive/importnativewizard.cpp" line="258"/>
         <source>Cancel</source>
-        <translation>Avbryt</translation>
+        <translation type="obsolete">Avbryt</translation>
     </message>
     <message>
         <location filename="../mytharchive/importnativewizard.cpp" line="319"/>
         <source>Myth Archive</source>
-        <translation>Mytharkiv</translation>
+        <translation type="obsolete">Mytharkiv</translation>
     </message>
     <message>
         <location filename="../mytharchive/importnativewizard.cpp" line="310"/>
         <source>You need to select a valid archive XML file!</source>
-        <translation>Du måste välja en giltigt arkiv-XML-fil!</translation>
+        <translation type="obsolete">Du måste välja en giltigt arkiv-XML-fil!</translation>
     </message>
     <message>
         <location filename="../mytharchive/importnativewizard.cpp" line="320"/>
         <source>You need to select a valid chanID!</source>
-        <translation>Du måste välja ett giltigt kanal-ID!</translation>
+        <translation type="obsolete">Du måste välja ett giltigt kanal-ID!</translation>
     </message>
     <message>
         <location filename="../mytharchive/importnativewizard.cpp" line="371"/>
         <source>Finish</source>
-        <translation>Klar</translation>
+        <translation type="obsolete">Klar</translation>
     </message>
     <message>
         <location filename="../mytharchive/importnativewizard.cpp" line="768"/>
         <source>Select a ChanID</source>
-        <translation>Välj kanal-ID</translation>
+        <translation type="obsolete">Välj kanal-ID</translation>
     </message>
     <message>
         <location filename="../mytharchive/importnativewizard.cpp" line="794"/>
         <source>Select a ChanNo</source>
-        <translation>Välj kanalnummer</translation>
+        <translation type="obsolete">Välj kanalnummer</translation>
     </message>
     <message>
         <location filename="../mytharchive/importnativewizard.cpp" line="820"/>
         <source>Select a Channel Name</source>
-        <translation>Välj kanalnamn</translation>
+        <translation type="obsolete">Välj kanalnamn</translation>
     </message>
     <message>
         <location filename="../mytharchive/importnativewizard.cpp" line="846"/>
         <source>Select a Callsign</source>
-        <translation>Välj kortnamn</translation>
+        <translation type="obsolete">Välj kortnamn</translation>
     </message>
 </context>
 <context>
@@ -206,93 +222,99 @@
     <message>
         <location filename="../mytharchive/logviewer.cpp" line="38"/>
         <source>Log Viewer</source>
-        <translation>Loggvisare</translation>
+        <translation type="obsolete">Loggvisare</translation>
     </message>
     <message>
         <location filename="../mytharchive/logviewer.cpp" line="61"/>
         <source>Seconds</source>
-        <translation>Sekunder</translation>
+        <translation type="obsolete">Sekunder</translation>
     </message>
     <message>
-        <location filename="../mytharchive/logviewer.cpp" line="359"/>
+        <location filename="../mytharchive/logviewer.cpp" line="308"/>
         <source>Cancel</source>
         <translation>Avbryt</translation>
     </message>
     <message>
-        <location filename="../mytharchive/logviewer.cpp" line="95"/>
+        <location filename="../mytharchive/logviewer.cpp" line="84"/>
         <source>Update</source>
         <translation>Uppdatera</translation>
     </message>
     <message>
-        <location filename="../mytharchive/logviewer.cpp" line="104"/>
+        <location filename="../mytharchive/logviewer.cpp" line="87"/>
         <source>Exit</source>
         <translation>Avsluta</translation>
     </message>
     <message>
         <location filename="../mytharchive/logviewer.cpp" line="349"/>
         <source>Increase Font Size</source>
-        <translation>Öka fontstorlek</translation>
+        <translation type="obsolete">Öka fontstorlek</translation>
     </message>
     <message>
         <location filename="../mytharchive/logviewer.cpp" line="352"/>
         <source>Decrease Font Size</source>
-        <translation>Minska fontstorlek</translation>
+        <translation type="obsolete">Minska fontstorlek</translation>
     </message>
     <message>
-        <location filename="../mytharchive/logviewer.cpp" line="355"/>
+        <location filename="../mytharchive/logviewer.cpp" line="306"/>
         <source>Show Progress Log</source>
         <translation>Visa förloppslogg</translation>
     </message>
     <message>
-        <location filename="../mytharchive/logviewer.cpp" line="357"/>
+        <location filename="../mytharchive/logviewer.cpp" line="307"/>
         <source>Show Full Log</source>
         <translation>Visa full logg</translation>
     </message>
+    <message>
+        <location filename="../mytharchive/logviewer.cpp" line="302"/>
+        <source>Don&apos;t Auto Update</source>
+        <translation>Uppdatera inte automatiskt</translation>
+    </message>
+    <message>
+        <location filename="../mytharchive/logviewer.cpp" line="304"/>
+        <source>Auto Update</source>
+        <translation>Uppdatera automatiskt</translation>
+    </message>
 </context>
 <context>
     <name>MythburnWizard</name>
     <message>
         <location filename="../mytharchive/mythburnwizard.cpp" line="828"/>
         <source>Next</source>
-        <translation>Nästa</translation>
+        <translation type="obsolete">Nästa</translation>
     </message>
     <message>
         <location filename="../mytharchive/mythburnwizard.cpp" line="410"/>
         <source>Previous</source>
-        <translation>Föregående</translation>
+        <translation type="obsolete">Föregående</translation>
     </message>
     <message>
         <location filename="../mytharchive/mythburnwizard.cpp" line="1353"/>
         <source>Cancel</source>
-        <translation>Avbryt</translation>
+        <translation type="obsolete">Avbryt</translation>
     </message>
     <message>
         <location filename="../mytharchive/mythburnwizard.cpp" line="793"/>
         <source>Myth Archive</source>
-        <translation>Mytharkiv</translation>
+        <translation type="obsolete">Mytharkiv</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>You need to select at least one item to archive!</source>
         <translation type="obsolete">Du måste välja någonting att arkivera!</translation>
     </message>
     <message>
         <location filename="../mytharchive/mythburnwizard.cpp" line="809"/>
         <source>Finish</source>
-        <translation>Klar</translation>
+        <translation type="obsolete">Klar</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>All Archive Items</source>
         <translation type="obsolete">Alla arkivposter</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Myth Burn</source>
         <translation type="obsolete">Mythbränn</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>You don&apos;t have any items to archive!
 
 Click OK</source>
@@ -303,52 +325,52 @@
     <message>
         <location filename="../mytharchive/mythburnwizard.cpp" line="1349"/>
         <source>Edit Details</source>
-        <translation>Redigera detaljer</translation>
+        <translation type="obsolete">Redigera detaljer</translation>
     </message>
     <message>
         <location filename="../mytharchive/mythburnwizard.cpp" line="1352"/>
         <source>Remove Item</source>
-        <translation>Ta bort post</translation>
+        <translation type="obsolete">Ta bort post</translation>
     </message>
     <message>
         <location filename="../mytharchive/mythburnwizard.cpp" line="440"/>
         <source>Choose File...</source>
-        <translation>Välj fil...</translation>
+        <translation type="obsolete">Välj fil...</translation>
     </message>
     <message>
         <location filename="../mytharchive/mythburnwizard.cpp" line="782"/>
         <source>Don&apos;t re-encode</source>
-        <translation>Omkoda inte</translation>
+        <translation type="obsolete">Omkoda inte</translation>
     </message>
     <message>
         <location filename="../mytharchive/mythburnwizard.cpp" line="778"/>
         <source>New Size </source>
-        <translation>Ny storlek </translation>
+        <translation type="obsolete">Ny storlek </translation>
     </message>
     <message>
         <location filename="../mytharchive/mythburnwizard.cpp" line="773"/>
         <source>Original Size </source>
-        <translation>Ursprunglig storlek </translation>
+        <translation type="obsolete">Ursprunglig storlek </translation>
     </message>
     <message>
         <location filename="../mytharchive/mythburnwizard.cpp" line="489"/>
         <source>Add Recording</source>
-        <translation>Lägg till inspelning</translation>
+        <translation type="obsolete">Lägg till inspelning</translation>
     </message>
     <message>
         <location filename="../mytharchive/mythburnwizard.cpp" line="497"/>
         <source>Add Video</source>
-        <translation>Lägg till video</translation>
+        <translation type="obsolete">Lägg till video</translation>
     </message>
     <message>
         <location filename="../mytharchive/mythburnwizard.cpp" line="505"/>
         <source>Add File</source>
-        <translation>Lägg till fil</translation>
+        <translation type="obsolete">Lägg till fil</translation>
     </message>
     <message>
         <location filename="../mytharchive/mythburnwizard.cpp" line="794"/>
         <source>You need to add at least one item to archive!</source>
-        <translation>Du behöver åtminstonde lägga till ett objekt för att arkivera!</translation>
+        <translation type="obsolete">Du behöver åtminstonde lägga till ett objekt för att arkivera!</translation>
     </message>
 </context>
 <context>
@@ -496,10 +518,10 @@
     <message>
         <location filename="../mytharchive/logviewer.cpp" line="166"/>
         <source>Myth Burn</source>
-        <translation>Mythbränn</translation>
+        <translation type="obsolete">Mythbränn</translation>
     </message>
     <message>
-        <location filename="../mytharchive/logviewer.cpp" line="168"/>
+        <location filename="../mytharchive/logviewer.cpp" line="167"/>
         <source>Background creation has been asked to stop.
 This may take a few minutes.</source>
         <translation>Bakgrundskapande har skickats en begäran om att stoppa.
@@ -508,12 +530,12 @@
     <message>
         <location filename="../mytharchive/mythburnwizard.cpp" line="1556"/>
         <source>Myth Archive</source>
-        <translation>Mytharkiv</translation>
+        <translation type="obsolete">Mytharkiv</translation>
     </message>
     <message>
         <location filename="../mytharchive/mythburnwizard.cpp" line="1558"/>
         <source>It was not possible to create the DVD.  An error occured when running the scripts</source>
-        <translation>Det gick inte att skapa DVDn. Ett fel uppstod vid körning av skripten</translation>
+        <translation type="obsolete">Det gick inte att skapa DVDn. Ett fel uppstod vid körning av skripten</translation>
     </message>
     <message>
         <location filename="../mytharchive/archivesettings.cpp" line="21"/>
@@ -546,7 +568,6 @@
         <translation>Använd alltid Mythtranscode</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>If set mpeg2 files will always be passed though mythtranscode to clean up any errors. May help to fix some audio problems.</source>
         <translation type="obsolete">Kör alltid mpeg2-filer genom mythtranscode för att rensa bort fel. Kan hjälpa till att fixa en del ljudproblem.</translation>
     </message>
@@ -556,7 +577,6 @@
         <translation>Använd FIFOs</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>The script will use FIFOs to pass the output of mplex into dvdauthor rather than creating intermediate files. Saves time and disk space during multiplex operations but not supported on Windows platform</source>
         <translation type="obsolete">Använd FIFOs för att skicka utmatningen från mplex till dvdauthor instället för temporära filer. Sparar tid och diskutrymme vid omkodning men fungerar inte i Windows</translation>
     </message>
@@ -588,7 +608,7 @@
     <message>
         <location filename="../mytharchive/importnativewizard.cpp" line="358"/>
         <source>It was not possible to import the Archive.  An error occured when running &apos;mytharchivehelper&apos;</source>
-        <translation>Det gick inte att importera arkivet. Ett fel inträffade vid körning av &apos;mytharchivehelper&apos;</translation>
+        <translation type="obsolete">Det gick inte att importera arkivet. Ett fel inträffade vid körning av &apos;mytharchivehelper&apos;</translation>
     </message>
     <message>
         <location filename="../mytharchive/archivesettings.cpp" line="76"/>
@@ -708,53 +728,55 @@
     <message>
         <location filename="../mytharchive/mythburnwizard.cpp" line="1585"/>
         <source>Video Selector</source>
-        <translation>Videoväljare</translation>
+        <translation type="obsolete">Videoväljare</translation>
     </message>
     <message>
         <location filename="../mytharchive/mythburnwizard.cpp" line="1586"/>
         <source>You don&apos;t have any videos!</source>
-        <translation>Du har inga videos!</translation>
+        <translation type="obsolete">Du har inga videos!</translation>
     </message>
+    <message>
+        <location filename="../mytharchive/logviewer.cpp" line="38"/>
+        <source>Cannot find any logs to show!</source>
+        <translation>Kan inte hitta några loggar att visa!</translation>
+    </message>
 </context>
 <context>
     <name>RecordingSelector</name>
     <message>
-        <location filename="../mytharchive/recordingselector.cpp" line="148"/>
+        <location filename="../mytharchive/recordingselector.cpp" line="202"/>
         <source>Clear All</source>
         <translation>Rensa alla</translation>
     </message>
     <message>
-        <location filename="../mytharchive/recordingselector.cpp" line="150"/>
+        <location filename="../mytharchive/recordingselector.cpp" line="203"/>
         <source>Select All</source>
         <translation>Välj alla</translation>
     </message>
     <message>
-        <location filename="../mytharchive/recordingselector.cpp" line="236"/>
+        <location filename="../mytharchive/recordingselector.cpp" line="204"/>
         <source>Cancel</source>
         <translation>Avbryt</translation>
     </message>
     <message>
-        <location filename="../mytharchive/recordingselector.cpp" line="228"/>
+        <location filename="../mytharchive/recordingselector.cpp" line="95"/>
         <source>OK</source>
         <translation>OK</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Myth Archive</source>
         <translation type="obsolete">Mytharkiv</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>You need to select at least one recording!</source>
         <translation type="obsolete">Du måste välja åtminstone en inspelning!</translation>
     </message>
     <message>
-        <location filename="../mytharchive/recordingselector.cpp" line="458"/>
+        <location filename="../mytharchive/recordingselector.cpp" line="474"/>
         <source>All Recordings</source>
         <translation>Alla inspelningar</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>You don&apos;t have any recordings!
 
 Click OK</source>
@@ -765,55 +787,62 @@
     <message>
         <location filename="../mytharchive/recordingselector.cpp" line="447"/>
         <source>MythArchive</source>
-        <translation>MythArchive</translation>
+        <translation type="obsolete">MythArchive</translation>
     </message>
     <message>
         <location filename="../mytharchive/recordingselector.cpp" line="448"/>
         <source>Either you don&apos;t have any recordings or no recordings are available locally!
 
 Click OK</source>
-        <translation>Antingen har du inga inspelningar eller inga inspelningar är tillgängliga lokalt!</translation>
+        <translation type="obsolete">Antingen har du inga inspelningar eller inga inspelningar är tillgängliga lokalt!</translation>
     </message>
+    <message>
+        <location filename="../mytharchive/recordingselector.cpp" line="122"/>
+        <source>Retrieving Recording List. Please Wait...</source>
+        <translation>Hämtar inspelningslista.Vänligen vänta...</translation>
+    </message>
+    <message>
+        <location filename="../mytharchive/recordingselector.cpp" line="147"/>
+        <source>Either you don&apos;t have any recordings or no recordings are available locally!</source>
+        <translation>Antingen har du inga inspelningar eller så finns inga inspelningar tillgängliga lokalt!</translation>
+    </message>
 </context>
 <context>
     <name>VideoSelector</name>
     <message>
-        <location filename="../mytharchive/videoselector.cpp" line="158"/>
+        <location filename="../mytharchive/videoselector.cpp" line="154"/>
         <source>Clear All</source>
         <translation>Rensa alla</translation>
     </message>
     <message>
-        <location filename="../mytharchive/videoselector.cpp" line="160"/>
+        <location filename="../mytharchive/videoselector.cpp" line="155"/>
         <source>Select All</source>
         <translation>Välj alla</translation>
     </message>
     <message>
-        <location filename="../mytharchive/videoselector.cpp" line="249"/>
+        <location filename="../mytharchive/videoselector.cpp" line="156"/>
         <source>Cancel</source>
         <translation>Avbryt</translation>
     </message>
     <message>
-        <location filename="../mytharchive/videoselector.cpp" line="241"/>
+        <location filename="../mytharchive/videoselector.cpp" line="73"/>
         <source>OK</source>
         <translation>OK</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Myth Archive</source>
         <translation type="obsolete">Mytharkiv</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>You need to select at least one video file!</source>
         <translation type="obsolete">Du måste välja åtminstone en videofil!</translation>
     </message>
     <message>
-        <location filename="../mytharchive/videoselector.cpp" line="511"/>
+        <location filename="../mytharchive/videoselector.cpp" line="474"/>
         <source>All Videos</source>
         <translation>Alla videor</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Video Selector</source>
         <translation type="obsolete">Videoväljare</translation>
     </message>
@@ -822,12 +851,12 @@
         <source>You don&apos;t have any videos!
 
 Click OK</source>
-        <translation>Du har inga videor!
+        <translation type="obsolete">Du har inga videor!
 
 Klicka på OK</translation>
     </message>
     <message>
-        <location filename="../mytharchive/videoselector.cpp" line="617"/>
+        <location filename="../mytharchive/videoselector.cpp" line="570"/>
         <source>Parental Pin:</source>
         <translation>Åtkomst-PIN:</translation>
     </message>
